from fastapi import APIRouter
from app.api.v1.endpoints import categories, questions, quizzes, results

api_router = APIRouter(prefix="/api/v1")

api_router.include_router(categories.router, prefix="/categories", tags=["Categories"])
api_router.include_router(questions.router, prefix="/questions", tags=["Questions"])
api_router.include_router(quizzes.router, prefix="/quizzes", tags=["Quizzes"])
api_router.include_router(results.router, prefix="/results", tags=["Results"])